Frage von LeonCheater, 12

Wie lasse ich Apache-Module neu generieren?

Ich habe mehr oder weniger aus Versehen das Modul mod_ssl.so mit einer modifizierten Version davon überschreiben. SSL funktioniert auch weiter noch, allerdings unterstützt das modifizierte Modul kein ALPN (was für das HTTP/2-Protokoll notwendig ist) und leider habe ich die alte mod_ssl.so nicht mehr. Das Modul "http2" ist zwar aktivierbar, aber es zeigt laut ssllabs.com keine Wirkung (h2 ist in allen VirtualHosts auch richtig eingetragen).

Kann ich irgendwie über Apache alle Module reinstallieren, ohne Apache selbst deinstallieren zu müssen, oder bekomme ich irgendwo die mod_ssl.so passend zu meiner Apacheversion als Download (ich finde leider nur welche bis Version 2.4.7)? Ich verwende Apache 2.4.20 auf Ubuntu Server 14.04 LTS.

Danke im Vorraus für die Hilfe :)

Antwort
von palindromxy, 6

installier dir apache nochmal woanders, kopier das SO von da, neu generieren ist da nicht ;) das wäre sinnlos

Keine passende Antwort gefunden?

Fragen Sie die Community